"use strict";

const Promise = require("bluebird");
const api = require("./");
const loaders = require("./data-sources");

return Promise.try(() => {
	return api.query({
		hardware: {
			drives: {
				model: true,
				size: true,
				interface: true,
				smartHealth: true,
				blockDevice: {
					name: true,
					path: true,
					type: true,
					children: {
						name: true,
						path: true,
						type: true,
						mounts: {
							mountpoint: true,
							filesystem: true,
							totalSpace: true
						}
					}
				}
				// allBlockDevices
			}
		}
	});
}).then((result) => {
	console.dir(result, { depth: null });
}).catch((error) => {
	console.dir(error, { depth: null });
});
