"use strict";

const Promise = require("bluebird");
const dlayer = require("dlayer");
const Result = require("@joepie91/result");

module.exports = function dlayerWrap(callback, options = {}) {
	return Promise.try(() => {
		return Result.unwrapAsync(callback);
	}).catch(... options.allowedErrors, (error) => {
		return Result.error(dlayer.markAcceptableError(error));
	});
};
