"use strict";

const Promise = require("bluebird");
const path = require("path");
const execBinary = require("../../exec-binary");
const createPegParser = require("../../text-parser-pegjs");

let versionParser = createPegParser({
	grammarFile: path.join(__dirname, "./version.pegjs")
});

module.exports = function () {
	return Promise.try(() => {
		return versionParser;
	}).then((parser) => {
		return execBinary("lvm", ["version"])
			.asRoot()
			.requireOnStdout(parser)
			.execute();
	}).then((output) => {
		return output.result;
	});
};
