"use strict";

const { errorResult } = require("../../text-parser");
const createRegexParser = require("../../text-parser-regex");

const errors = require("../errors");

module.exports = function (devicePath, action) {
	return function handleIncompatibleDevice(command) {
		return command.expectOnStderr(createRegexParser(/Device .+ excluded by a filter\./, () => {
			return errorResult(new errors.IncompatibleDevice(`Specified device '${devicePath}' could not be ${action} because it is incompatible; perhaps it's too small?`, {
				path: devicePath
			}));
		}));
	};
};
