"use strict";

const { errorResult } = require("../../text-parser");
const createRegexParser = require("../../text-parser-regex");

const errors = require("../errors");

module.exports = function (volumeGroup) {
	return function handleVolumeGroupNotFound(command) {
		return command.expectOnStderr(createRegexParser(/Volume group "[^"]+" not found/, () => {
			return errorResult(new errors.InvalidVolumeGroup(`Specified Volume Group '${volumeGroup}' does not exist`, {
				volumeGroupName: volumeGroup
			}));
		}));
	};
};
