{
	function stripCommas(string) {
		return string.replace(/,/g, "");
	}

	function stripPeriods(string) {
		return string.replace(/\./g, "");
	}
}

CommaDelimitedInteger
	= value:$[0-9,]+ {
		return parseInt(stripCommas(value));
	}

CommaDelimitedFloat
	= value:$([0-9,]+ ("." [0-9]+)?) {
		return parseFloat(stripCommas(value));
	}

PeriodDelimitedInteger
	= value:$[0-9.]+ {
		return parseInt(stripPeriods(value));
	}

PeriodDelimitedFloat
	= value:$([0-9.]+ ("," [0-9]+)?) {
		return parseFloat(stripPeriods(value).replace(/,/g, "."));
	}
