"use strict";

const React = require("react");

const MainLayout = require("../layout");
const MenuItem = require("../components/menu-item");

const prefixTitle = require("../../packages/maybe-prefix");

function Submenu() {
	return (<>
		<MenuItem path="/hardware/vm-images">VM Images</MenuItem>
		<MenuItem path="/hardware/installation-media">Installation Media</MenuItem>
	</>);
}

module.exports = function DiskImagesLayout({ children, title }) {
	return (
		<MainLayout submenu={<Submenu />} title={prefixTitle("Disk Images >", title)}>
			{children}
		</MainLayout>
	);
};
