"use strict";

const React = require("react");

const MainLayout = require("../layout");
const MenuItem = require("../components/menu-item");

const prefixTitle = require("../../packages/maybe-prefix");

function Submenu() {
	return (<>
		<MenuItem path="/resource-pools/storage">Storage Pools</MenuItem>
		<MenuItem path="/resource-pools/network">Network Pools</MenuItem>
	</>);
}

module.exports = function HardwareLayout({ children, title }) {
	return (
		<MainLayout submenu={<Submenu />} title={prefixTitle("Resource Pools >", title)}>
			{children}
		</MainLayout>
	);
};
