"use strict";

require("@babel/register");
const Promise = require("bluebird");
const errorChain = require("error-chain");
const createAPI = require("../src/api");

// const query = {
// 	hardware: {
// 		drives: {
// 			path: true,
// 			smartHealth: true,
// 			size: true,
// 			rpm: true,
// 			serialNumber: true,
// 			model: true,
// 			modelFamily: true,
// 			firmwareVersion: true,

// 			blockDevice: {
// 				name: true
// 			},

// 			partitions: {
// 				$key: "allBlockDevices",
// 				name: true,
// 				size: true,

// 				mounts: {
// 					mountpoint: true
// 				},

// 				children: {
// 					$recurse: true,
// 					$recurseLimit: Infinity, // 3 by default
// 				}
// 			}
// 		}
// 	}
// };

const query = {
	resources: {
		lvm: {
			createPhysicalVolume: {
				$arguments: {
					path: "/dev/loop3"
				},
				path: true,
				totalSpace: true,
				freeSpace: true
			}
		}
	}
};

const api = createAPI();

return Promise.try(() => {
	return api.query(query);
}).then((result) => {
	console.dir(result, { depth: null });
}).catch((error) => {
	console.error(errorChain.render(error));
});
